#
# spec file for package python-statsd
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-statsd
Version:        3.2.1
Release:        1.3
Summary:        A simple statsd client
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/jsocol/pystatsd
Source:         https://pypi.python.org/packages/source/s/statsd/statsd-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
statsd is a front-end to Graphite. This is a Python client
for the statsd daemon.

%prep
%setup -q -n statsd-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS CHANGES LICENSE README.rst
%{python_sitelib}/*

%changelog
* Tue Feb 14 2017 jengelh@inai.de
- Description with neutral point of view
* Sun Dec  6 2015 tbechtold@suse.com
- Initial packaging (version 3.2.1)
